Four constants:
   DM_DIR,
   DM_MAX_TYPE_NAME,
   DM_NAME_LEN,
   DM_UUID_LEN

Were being declared in device-mapper.h, these are all specific to 
the ioctl interface, so they've been moved to dm-ioctl.h.  Nobody
in userland should ever include <linux/device-mapper.h> so remove 
ifdef __KERNEL guards.

--- diff/include/linux/device-mapper.h	2002-11-08 11:55:32.000000000 +0000
+++ source/include/linux/device-mapper.h	2002-11-13 17:31:41.000000000 +0000
@@ -7,13 +7,6 @@
 #ifndef _LINUX_DEVICE_MAPPER_H
 #define _LINUX_DEVICE_MAPPER_H
 
-#define DM_DIR "mapper"	/* Slashes not supported */
-#define DM_MAX_TYPE_NAME 16
-#define DM_NAME_LEN 128
-#define DM_UUID_LEN 129
-
-#ifdef __KERNEL__
-
 typedef unsigned long sector_t;
 
 struct dm_target;
@@ -85,6 +78,4 @@
 int dm_register_target(struct target_type *t);
 int dm_unregister_target(struct target_type *t);
 
-#endif				/* __KERNEL__ */
-
 #endif				/* _LINUX_DEVICE_MAPPER_H */
--- diff/include/linux/dm-ioctl.h	2002-11-08 11:55:32.000000000 +0000
+++ source/include/linux/dm-ioctl.h	2002-11-13 17:31:41.000000000 +0000
@@ -7,9 +7,13 @@
 #ifndef _LINUX_DM_IOCTL_H
 #define _LINUX_DM_IOCTL_H
 
-#include <linux/device-mapper.h>
 #include <linux/types.h>
 
+#define DM_DIR "mapper"	/* Slashes not supported */
+#define DM_MAX_TYPE_NAME 16
+#define DM_NAME_LEN 128
+#define DM_UUID_LEN 129
+
 /*
  * Implements a traditional ioctl interface to the device mapper.
  */
